//---------------------------------------------------------------------------

#include <vcl.h>
#include "icstring.hpp"

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main (int argc, char* argv[])
{
  using std::cout;
  using std::endl;

  icstring s1("hallo");
  icstring s2("otto");
  icstring s3("hALLo");
    
  cout << std::boolalpha;
  cout << s1 << " == " << s2 << " : " << (s1==s2) << endl;
  cout << s1 << " == " << s3 << " : " << (s1==s3) << endl;

  icstring::size_type idx = s1.find("All");
  if (idx != icstring::npos) {
      cout << ToRus("   \"All\"   \"") << s1 << "\": "
             << idx << endl;
  }
  else {
      cout << ToRus(" \"All\"    \"") << s1 << endl;
  }


  getch();
  return 0;
}

//---------------------------------------------------------------------------